/subscriptions
Subscriptions (or webhooks) serve to specify a callback url that should be invoked when an event occurs.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
eventTypestring · enumOptionalPossible values:
The type of event that the subscription is for
callback_urlstringOptional
Responses
204
Subscription registered successfully
No content
401
Invalid Authorization bearer token
403
Access forbidden
500
Internal server error
post/subscriptions
POST /tmining/api/v1/subscriptions HTTP/1.1
Host: url:port
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47
{
"eventType": "onRelease",
"callback_url": "text"
}No content
See here for more details.*
Last updated